Last modified: 2014-06-24 17:26:42 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39621 - Cite: Refactor VisualEditor editing plugin for Cite back into the Cite extension
Cite: Refactor VisualEditor editing plugin for Cite back into the Cite extension
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Cite (Other open bugs)
unspecified
All All
: Normal enhancement with 1 vote (vote)
: ---
Assigned To: Editing team bugs – take if you're interested!
: javascript
Depends on: 39599
Blocks: ve-plugins-to-create
  Show dependency treegraph
 
Reported: 2012-08-24 15:20 UTC by Krinkle
Modified: 2014-06-24 17:26 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2012-08-24 15:20:28 UTC
Depends on VisualEditor having a (stable) API. As soon as it is considered stable enough, we can implement support for it in the Cite extension using whatever hook/api it offers.

Also needs detection since there are (obviously) wikis that have Cite but not VisualEditor. So probably some conditionally loaded module.
Comment 1 James Forrester 2013-03-25 21:55:42 UTC
After discussion with Timo, clarifying what this is.
Comment 2 Helder 2013-03-26 09:56:28 UTC
Adding 'javascript' keyword, because I think this is JavaScript related...
Comment 3 Andre Klapper 2014-05-02 13:17:55 UTC
In Bug 13127 comment 34 anomie wrote
"Since Parsoid has reimplemented the Cite extension in their own code, any fixes to Cite are going to be very difficult to get merged unless someone wants to do all the work twice, once in PHP and once in nodejs."

James: Quim wondered if this means that all Cite bugs.docs can be eventually and officially deprecated.

Any vague timeframe for this ticket, assuming that Trevor still works on this?
Comment 4 James Forrester 2014-05-02 18:17:35 UTC
(In reply to Andre Klapper from comment #3)
> In Bug 13127 comment 34 anomie wrote
> "Since Parsoid has reimplemented the Cite extension in their own code, any
> fixes to Cite are going to be very difficult to get merged unless someone
> wants to do all the work twice, once in PHP and once in nodejs."

That's a totally different issue about Parsoid's Cite vs Cite.php; this bug is about the location of code currently in the VisualEditor-MediaWiki repo that should be moved to the Cite extension's repository, like we did for <math> etc. Not sure if there's a bug about that?


> James: Quim wondered if this means that all Cite bugs.docs can be eventually
> and officially deprecated.

That's a question for the mythical other bug (but I'd say no).


> Any vague timeframe for this ticket, assuming that Trevor still works on
> this?

I'd want it to settle down a little more before the code was transitioned, but probably in a few months' time.
Comment 5 James Forrester 2014-06-24 17:26:42 UTC
Re-prioritising.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links